Bug 6141 - html glitches causing problems to translator
Summary: html glitches causing problems to translator
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 3.8
Hardware: All All
: P3 minor (vote)
Target Milestone: ---
Assignee: Frédéric Demians
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-08 12:00 UTC by Julian Maurice
Modified: 2013-12-05 19:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch (4.22 KB, patch)
2011-04-08 12:17 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 6141 - html glitches causing problems to translator (3.91 KB, patch)
2012-06-09 11:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 6141 - html glitches causing problems to translator (4.02 KB, patch)
2012-06-09 14:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 6141 - html glitches causing problems to translator - 3.8.x (2.63 KB, patch)
2012-06-14 11:35 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2011-04-08 12:00:22 UTC
* opac-topissue.pl = untranslatable string removed
* moremember.pl: wrong " causing trouble to translator
* authorities.pl missing _() in javascript
Comment 1 Julian Maurice 2011-04-08 12:16:45 UTC
Little correction in bug description:

* opac-topissue.pl = untranslatable string removed
* authorities.pl missing _() in javascript
Comment 2 Julian Maurice 2011-04-08 12:17:10 UTC Comment hidden (obsolete)
Comment 3 Frédéric Demians 2011-05-13 12:38:22 UTC
(In reply to comment #2)
> Created attachment 3836 [details] [review]
> Patch

It doesn't apply anymore on HEAD.
Comment 4 Kyle M Hall 2012-06-09 11:06:33 UTC Comment hidden (obsolete)
Comment 5 Martin Renvoize 2012-06-09 14:45:30 UTC
Created attachment 10035 [details] [review]
Bug 6141 - html glitches causing problems to translator

Simple fix, works... 'nuff said'
Comment 6 Martin Renvoize 2012-06-09 14:47:38 UTC
Signed off... but: Can anyone care to explain what the Importance being set to "PATCH-Sent (DO NOT USE)" actually means?
Comment 7 Paul Poulain 2012-06-10 10:59:39 UTC
QA comment: as Martin said :
Simple fix, works... 'nuff said' & passed QA


(In reply to comment #6)
> Signed off... but: Can anyone care to explain what the Importance being set
> to "PATCH-Sent (DO NOT USE)" actually means?

Our workflow used to use this "PATCH sent" to warn that the patch has been sent. Now, and since some months, it's in the status, so this priority should not be used anymore, and it's here only for some legacy entries. Feel free to update priority if you encounter a bug with this priority !
Comment 8 Chris Cormack 2012-06-14 00:55:08 UTC
Patch does not apply to 3.8.x, please reformat for 3.8.x.

(It contains changes to do with authorities, which haven't been pushed to 3.8.x namely

<<<<<<< HEAD                 
=======                      
     $(document).ready(function() {       
yuiToolbar();
$("#addauthc,#action").empty(); 
});
// YUI Toolbar Functions 
   function yuiToolbar() { 

etc)
Comment 9 Kyle M Hall 2012-06-14 11:35:51 UTC
Created attachment 10276 [details] [review]
Bug 6141 - html glitches causing problems to translator - 3.8.x

* opac-topissue.pl = untranslatable string removed
* authorities.pl missing _() in javascript

Rewrite of patch authored by Julian Maurice.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Kyle M Hall 2012-06-14 11:37:01 UTC
Chris, here you go. Does this need to go through so and qa?

(In reply to comment #8)
> Patch does not apply to 3.8.x, please reformat for 3.8.x.
> 
> (It contains changes to do with authorities, which haven't been pushed to
> 3.8.x namely
> 
> <<<<<<< HEAD                 
> =======                      
>      $(document).ready(function() {       
> yuiToolbar();
> $("#addauthc,#action").empty(); 
> });
> // YUI Toolbar Functions 
>    function yuiToolbar() { 
> 
> etc)
Comment 11 Chris Cormack 2012-06-17 08:34:17 UTC
(In reply to comment #10)
> Chris, here you go. Does this need to go through so and qa?
> 
>
Nope the original one was signed off, and this removes the conflicting code, I will test and push
Comment 12 Chris Cormack 2012-06-17 08:45:48 UTC
Patch pushed to 3.8.x will be in 3.8.2